ANN: Sequel 0.1.2 Released

Sequel version 0.1.2 has just been released. This release contains
vaious bug fixes and enhancements. Here are the important changes:

  • Support for SQL set operations (UNION, INTERSECT and EXCEPT):

DB[:a].union(DB[:b]).sql #=>
“SELECT * FROM a UNION SELECT * FROM b”

The #union, #intersect and #except methods take an optional second
parameter to specify ALL for the clause:

DB[:a].intersect(DB[:b], true).sql #=>
“SELECT * FROM a INTERSECT ALL SELECT * FROM b”

  • SequelConnectionError has been removed, as it caused a some
    difficulties dealing with non DB-related errors that were raised
    inside transactions. However, Exception errors are automatically
    converted into RuntimeError. Future releases might convert adapter-
    specific errors into standard Sequel errors.

  • Added DSL for defining subsets in Model classes:

class A < Sequel::Model(:a)
subset(:high_priced) {price > 100}
subset :china, :category => ‘china’
end

A.high_priced.sql #=> “SELECT * FROM a WHERE (price > 100)”
A.china.sql #=> “SELECT * FROM a WHERE (category = ‘china’)”

  • Cleaned up PostgreSQL adapter code.

  • Updated spec to conform with RSpec 1.0.

======================

Join the Sequel-talk group:
http://groups.google.com/group/sequel-talk

Install the gem:
sudo gem install sequel

Or check out the source and install locally:
svn co http://ruby-sequel.googlecode.com/svn/trunk sequel
cd sequel
rake install

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs